<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<script src="plyr.js"></script>
	<link rel="stylesheet" href="plyr.css">
	<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
	<script>
		$(document).ready(function() {
			var url_string = window.location.href;
			var url = new URL(url_string);
			var v_src = url.searchParams.get('src');
			var download_src = url.searchParams.get('download');

			const player = new Plyr('#player', {
				keyboard: {
					global: true
				}
			});

			console.log(v_src);

			if(v_src) {
				if(download_src) {
					v_src += '&download=1';
				}
				
				player.source = {
			    	type: 'video',
				    title: 'Example title',
				    sources: [
				        {
				            src: v_src,
				            type: 'video/mp4',
				        },
				    ],
			    };
			}

			$('#file_selector').change(function(event) {
			    change_player_file(event.target.files[0]);
			});

			$('#main').click(function(event) {
				event.stopImmediatePropagation();
			});

			$('#file_selector').click(function(event) {
				event.stopImmediatePropagation();
			});

			$('body').click(function() {
				$('#file_selector').click();
			});

			$("html").on("dragover", function(event) {
			    event.preventDefault();  
			    event.stopPropagation();
			    $(this).addClass('dragging');
			});

			$("html").on("dragenter", function(event) {
			    event.preventDefault();  
			    event.stopPropagation();
			    $(this).removeClass('dragging');
			});

			$('html').on('drop', function(event) {
				event.preventDefault();

				var file = event.originalEvent.dataTransfer.files[0];
				change_player_file(file);
			});

			function change_player_file(file) {
				var accept_file_arr = file.type.match(/^video|^audio/);
				
				if(accept_file_arr && accept_file_arr.length) {
					var tmp_url = URL.createObjectURL(file);

					player.source = {
				    	type: 'video',
					    title: 'Example title',
					    sources: [
					        {
					            src: tmp_url,
					            type: 'video/mp4',
					        },
					    ],
				    };

				    player.restart();
				}
			}
		});
	</script>
	<style type="text/css">
		#main_wrapper {
			text-align: center;
		}

		#main {
			max-width:80%;
			max-height: 80vh;
			display: inline-block;
			vertical-align: middle;
		}

		.verticle_helper {
			display: inline-block;
			vertical-align: middle;
			height: 100%;
		}

		#file_selector {
			display: none;
		}
	</style>
</head>
<body>
	<div id="main_wrapper">
		<span class="verticle_helper"></span>
		<div id="main">
			<video id="player" playsinline controls></video>
		</div>
	</div>

	<div>
		<input id="file_selector" type="file" accept="audio/*|video/*"/>
	</div>
</body>
</html>